Skip to main content

Update individual

PUT 

/service/individual/:individualId

Updates an individual of the organisation. The service changes only the fields that you send with a value. An externalId or a mapperId that another individual has gives HTTP 409.

Request​

Path Parameters

    individualId stringrequired

    Unique ID of an object

Body

    individual object

    Shallowly models an Individual which may reference some instance in an external system (registration system, functional ID, foundational ID etc). An Individual instance of this model is not to be mistaken with a unique natural individual. It is up to the system owner to decide if this record permits mapping to a natural individual and/or if a single Individual row can map to several consent agreements.

    id string

    The unique ID of an Individual row.

    externalId string

    Reference to another foundational/functional ID, which is likely PII

    externalIdType string

    External ID type specifier. A string. For instance "email" or "foundational ID". Can be used in later queries.

    identityProviderId string

    This could be an FK, but for now we do not have a mapping of identity providers. IDBB may have more requirements.

    name string

    Name of the individual

    iamId string

    The identifier of the login account of the individual. The service sets it when the individual has an email.

    email string

    The e-mail address. With an e-mail address, the service also makes a login account for the individual.

    phone string

    Phone

    pushNotificationToken string

    Device token of the individual

    deviceType string

    Possible values: [android, ios]

    Device type(OS) of the individual

    mapperId string

    Defines the mapper id of the individual

Responses​

Individual updated successfully

Response Headers
    Schema
      individual object

      Shallowly models an Individual which may reference some instance in an external system (registration system, functional ID, foundational ID etc). An Individual instance of this model is not to be mistaken with a unique natural individual. It is up to the system owner to decide if this record permits mapping to a natural individual and/or if a single Individual row can map to several consent agreements.

      id string

      The unique ID of an Individual row.

      externalId string

      Reference to another foundational/functional ID, which is likely PII

      externalIdType string

      External ID type specifier. A string. For instance "email" or "foundational ID". Can be used in later queries.

      identityProviderId string

      This could be an FK, but for now we do not have a mapping of identity providers. IDBB may have more requirements.

      name string

      Name of the individual

      iamId string

      The identifier of the login account of the individual. The service sets it when the individual has an email.

      email string

      The e-mail address. With an e-mail address, the service also makes a login account for the individual.

      phone string

      Phone

      pushNotificationToken string

      Device token of the individual

      deviceType string

      Possible values: [android, ios]

      Device type(OS) of the individual

      mapperId string

      Defines the mapper id of the individual

    Loading...